/**
 * {{ombox}} (other pages message box) styles
 *
 * @source https://www.mediawiki.org/wiki/MediaWiki:Gadget-enwp-boxes.css
 * @revision 2021-07-15
 * 
 * Note: forked to use the [[Wiktionary:Palette]].
 */
table.ombox {
	margin: 4px 10%;
	border-collapse: collapse;
	/* Default "notice" gray */
	border: 1px solid var(--border-color-base, #a2a9b1);
	background-color: var(--background-color-neutral-subtle, #f8f9fa);
	box-sizing: border-box;
	color: var(--color-base, #202122);
}

/* Wiktionary-specific mobile rule */
@media all and (max-width: 639px) { /* matches calc(640px - 1px) in Minerva CSS */
	table.ombox {
		margin: 4px 0;
	}
}

/* An empty narrow cell */
.ombox td.mbox-empty-cell {
	border: none;
	padding: 0;
	width: 1px;
}

/* The message body cell(s) */
.ombox th.mbox-text,
.ombox td.mbox-text {
	border: none;
	/* 0.9em left/right */
	padding: 0.25em 0.9em;
	/* Make all mboxes the same width regardless of text length */
	width: 100%;
}

/* The left image cell */
.ombox td.mbox-image {
	border: none;
	text-align: center;
	padding: 0.5em 0 0.5em 0.9em;
}

/* The right image cell */
.ombox td.mbox-imageright {
	border: none;
	text-align: center;
	padding: 0.5em 0.9em 0.5em 0;
}

body.skin--responsive table.ombox img {
	max-width: none !important;
}

table.ombox-notice {
	/* Gray */
	border: 1px solid var(--border-color-base, #a2a9b1);
}

table.ombox-speedy {
	/* Pink */
	background-color: var(--wikt-palette-lightred, #fee7e6);
}

table.ombox-speedy,
table.ombox-delete {
	/* Red */
	border: 1px solid var(--wikt-palette-deepred, #b32424);
	border-width: 2px;
}

@media screen {
	html.skin-theme-clientpref-night .ombox-speedy {
		background-color: #310402;    /* Dark red, same hue/saturation as light */
	}
}

@media screen and (prefers-color-scheme: dark) {
	html.skin-theme-clientpref-os .ombox-speedy {
		background-color: #310402; /* Dark red, same hue/saturation as light */
	}
}

table.ombox-content {
	/* Orange */
	border: 1px solid var(--wikt-palette-orange, #f28500);
}

table.ombox-style {
	/* Yellow */
	border: 1px solid var(--wikt-palette-brightyellow, #fc3);
}

table.ombox-move {
	/* Purple */
	border: 1px solid var(--wikt-palette-purple-9, #9932cc);
}

table.ombox-protection {
	/* Gray-gold */
	border: 2px solid var(--wikt-palette-dullgold, #a2a9b1);
}

/**
 * {{ombox|small=1}} styles
 *
 * These ".mbox-small" classes must be placed after all other
 * ".ombox" classes. "html body.mediawiki .ombox"
 * is so they apply only to other page message boxes.
 *
 * @source https://www.mediawiki.org/wiki/MediaWiki:Gadget-enwp-boxes.css
 * @revision 2021-07-15
 */

/* START ENGLISH WIKTIONARY OVERRIDES */
/* The following styles were moved from [[MediaWiki:Common.css]] */

/* For the "small=yes" option: */
table.mbox-small {
	clear: right;
	float: right;
	margin: 4px 0 4px 1em;
	width: 238px;
	font-size: 88%;
	line-height: 1.25em;
}

/* For the "small=left" option: */
table.mbox-small-left {
	margin: 4px 1em 4px 0;
	width: 238px;
	border-collapse: collapse;
	font-size: 88%;
	line-height: 1.25em;
}

/* END ENGLISH WIKTIONARY OVERRIDES */

/* Cell sizes for ambox/tmbox/imbox/cmbox/ombox/fmbox/dmbox message boxes */
th.mbox-text, td.mbox-text {   /* The message body cell(s) */
	padding: 0.25em 0.9em;     /* 0.9em left/right */
}
td.mbox-image {                /* The left image cell */
	padding: 2px 0 2px 0.9em;  /* 0.9em left, 0px right */
}
td.mbox-imageright {           /* The right image cell */
	padding: 2px 0.9em 2px 0;  /* 0px left, 0.9em right */
}
/* Footer and header message box styles */
table.fmbox {
    clear: both;
    margin: 0.2em 0;
    width: 100%;
    border: 1px solid var(--border-color-base, #a2a9b1);
    background-color: var(--wikt-palette-paleblue, #f8f9fa);     /* Default "system" gray */
    box-sizing: border-box;
}
table.fmbox-system {
    background-color: var(--wikt-palette-paleblue, #f8f9fa);
}
table.fmbox-warning {
    border: 1px solid var(--wikt-palette-red-9, #bb7070);  /* Dark pink */
    background-color: var(--wikt-palette-lightred, #ffdbdb);  /* Pink */
}
table.fmbox-editnotice {
    background-color: transparent;
}